| Home | Libraries | People | FAQ | More

## Global sig

boost::process::posix::sig

## Synopsis

    // In header: <boost/process/posix.hpp>

    unspecified sig;

## Description

This property lets you modify the handling of `SIGCHLD` for this call. It will be reset afterwards.

It can be set to default, by the expression `sig.dfl()`, set to ignore with `sig.ign()` or assigned a custom handler. A custom handler must have the type `sighandler_t`and can be assigned with the following syntax:

    sig = handler;
    sig(handler);

| Warning
spawn will automatically use `sig.ign()`, which will override if you pass a custom handler.